Page MenuHomePhabricator

revlog: remove the revlogio class
ClosedPublic

Authored by marmoute on Apr 23 2021, 10:29 AM.

Details

Summary

The class only contains a single parseindex method. Lets just make it a function and remove the revlogio class. It served us well but became thinner and thinner overtime

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 23 2021, 10:29 AM
Alphare accepted this revision.Apr 29 2021, 10:37 AM
This revision is now accepted and ready to land.Apr 29 2021, 10:37 AM
pulkit added a subscriber: pulkit.Apr 30 2021, 5:47 AM
pulkit added inline comments.
mercurial/cext/revlog.c
370 ↗(On Diff #27158)

unrelated change?

marmoute added inline comments.Apr 30 2021, 6:17 AM
mercurial/cext/revlog.c
370 ↗(On Diff #27158)

I suspect clang format did it ?

This revision was automatically updated to reflect the committed changes.